Subject: "Breeder sold the litter I wanted"
From: Reddit <[email-masked]>
To: [email-masked]
Date: Sat, 9 May 2026 00:08:41 +0000

r/mainecoons: Breeder sold the litter I wanted Hi all,

I was on a waitlist and got a ton of updates for a litter that I really wanted one of the kittens. Today the website was updated that they were sold. I emailed them twice last week with no re...

FunDirection5847

r/mainecoons

u/danmargo
•
9h ago

Breeder sold the litter I wanted

Hi all,

I was on a waitlist and got a ton of updates for a litter that I really wanted one of the kittens. Today the website was updated that they were sold. I emailed them twice last week with no re...
Read More

66 upvotes

•

38 comments

Hide r/mainecoons

Hide r/mainecoons

r/Rebounding

u/ScarcityFast7922
•
2d ago

FB Marketplace Rebounder

I found this rebounder on FB. Can anyone tell me if this is a good one for the price. I am in talks. I already a jumpsport pro but my 7yr old always wants to jump with me so trying to get another one...
Read More

5 upvotes

•

5 comments

Hide r/Rebounding

r/Blogilates

u/Lulligan
•
4d ago

Popflex 2026 Swim Review Megathread

Let us know what's a buy and what's a bye. Describe your body type and let us know which styles worked for you and which didn't. Pictures are always appreciated.

Love ya!
Read More

35 upvotes

•

23 comments

Hide r/Blogilates

Hide r/Blogilates

r/MaineCoon

u/lenny446
•
2d ago

Please help.

I just recently got adopted (long story) by a beautiful (to my knowledge) American Maine coon. She has butt clumps. I just noticed yesterday. Backside of each leg there’s a clump of fur. The rest of h...
Read More

78 upvotes

•

34 comments

Hide r/MaineCoon

Hide r/MaineCoon

r/HerOneBag

u/theinfamousj
•
4h ago

What's the one piece of travel gear you swore you'd never need, then became completely dependent on?

Snatched and slightly modified this from the question which is going around the hiking (and adjacent) subreddits because I'm curious to know what the answer would be, here. I'll put mine in the commen...
Read More

71 upvotes

•

58 comments

Hide r/HerOneBag

View More Posts

This email was intended for u/FunDirection5847.

Unsubscribe from daily digest messages, or visit your settings to manage
what emails Reddit sends you.

5‌4‌8 M‌a‌rket S‌t., #16093,

San Francisco, CA 9‌4‌1‌0‌4-5‌4‌0‌1